<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BinaryContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BinaryContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/BinaryContainer.html" target="_top">Frames</a></li>
<li><a href="BinaryContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.platform.base</div>
<h2 title="Interface BinaryContainer" class="title">Interface BinaryContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;, <a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;<a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BinaryContainer</span>
extends <a href="../../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;<a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;</pre>
<div class="block">A container for project binaries, which represent physical artifacts that can run on a particular platform or runtime.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelMap">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a></h3>
<code><a href="../../../../org/gradle/model/ModelMap.html#afterEach(org.gradle.api.Action)">afterEach</a>, <a href="../../../../org/gradle/model/ModelMap.html#afterEach(java.lang.Class,%20org.gradle.api.Action)">afterEach</a>, <a href="../../../../org/gradle/model/ModelMap.html#all(org.gradle.api.Action)">all</a>, <a href="../../../../org/gradle/model/ModelMap.html#beforeEach(org.gradle.api.Action)">beforeEach</a>, <a href="../../../../org/gradle/model/ModelMap.html#beforeEach(java.lang.Class,%20org.gradle.api.Action)">beforeEach</a>, <a href="../../../../org/gradle/model/ModelMap.html#containsKey(java.lang.Object)">containsKey</a>, <a href="../../../../org/gradle/model/ModelMap.html#containsValue(java.lang.Object)">containsValue</a>, <a href="../../../../org/gradle/model/ModelMap.html#create(java.lang.String)">create</a>, <a href="../../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20org.gradle.api.Action)">create</a>, <a href="../../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20java.lang.Class)">create</a>, <a href="../../../../org/gradle/model/ModelMap.html#create(java.lang.String,%20java.lang.Class,%20org.gradle.api.Action)">create</a>, <a href="../../../../org/gradle/model/ModelMap.html#get(java.lang.Object)">get</a>, <a href="../../../../org/gradle/model/ModelMap.html#get(java.lang.String)">get</a>, <a href="../../../../org/gradle/model/ModelMap.html#isEmpty()">isEmpty</a>, <a href="../../../../org/gradle/model/ModelMap.html#keySet()">keySet</a>, <a href="../../../../org/gradle/model/ModelMap.html#named(java.lang.String,%20org.gradle.api.Action)">named</a>, <a href="../../../../org/gradle/model/ModelMap.html#named(java.lang.String,%20java.lang.Class)">named</a>, <a href="../../../../org/gradle/model/ModelMap.html#put(java.lang.String,%20T)">put</a>, <a href="../../../../org/gradle/model/ModelMap.html#size()">size</a>, <a href="../../../../org/gradle/model/ModelMap.html#values()">values</a>, <a href="../../../../org/gradle/model/ModelMap.html#withType(java.lang.Class)">withType</a>, <a href="../../../../org/gradle/model/ModelMap.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../../org/gradle/model/ModelMap.html#withType(java.lang.Class,%20java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true#iterator()" title="class or interface in java.lang">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/BinaryContainer.html" target="_top">Frames</a></li>
<li><a href="BinaryContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
